commit:     21a2d0ed165ee802cf939f69d5a926902ff60fa7
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 17 05:03:18 2017 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 05:14:58 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21a2d0ed

sys-power/thermald: version bump 1.6

Gentoo-Bug: 615574
Package-Manager: Portage-2.3.5, Repoman-2.3.2

 sys-power/thermald/Manifest            |  1 +
 sys-power/thermald/thermald-1.6.ebuild | 40 ++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/sys-power/thermald/Manifest b/sys-power/thermald/Manifest
index 72cce8ce8e5..f55d978abfd 100644
--- a/sys-power/thermald/Manifest
+++ b/sys-power/thermald/Manifest
@@ -1,3 +1,4 @@
 DIST thermald-1.4.2.tar.gz 89080 SHA256 
4be5e1105f8b24af17d19357eda97b6edd3d74284c3ee762060d487158997f8b SHA512 
373620679df7db242770ae2b5c6e2b9015cfb480539889c43b8f20f52faa139ea307985c8f7369daf14c41d987f7c5af4baecc9dd460ef63556ac982eb4bcd47
 WHIRLPOOL 
6abde17fc60f30dda58935663084e53cbc26ba8b59bc058b3b6f8fc03af538d6f2e363d578fcbbfb38a02bf3cda0856abcb361fb63fd2e5ce0bc2c63a4d42484
 DIST thermald-1.5.3.tar.gz 335067 SHA256 
e20b450ef27a5b5e45474c831663c8f5ecd14c82ace5a4b1e06c442e0a23b53e SHA512 
aab4ade4dc50985cd5d45bcce6ea9b75cce22504eb113c86b8733c8be88a701c8812b8b0f3202f084a8128d50ec794ebe1c73312c0a5a5fd1dbc87eedf02df16
 WHIRLPOOL 
9b48d92fd677c1b327173cac114dd4bc4dbf86c29cc8ab929841342c7e4f7bf651fc03aebb140cce633095230222fac8302931cee8ab2c943beb816e816d9ca0
 DIST thermald-1.5.4.tar.gz 336768 SHA256 
42f72fc32c84adcbb2ee6667645c2e1653cdc4f85963e6f72efd83517f7c29f0 SHA512 
c23b4aabc59f11fe93074459d8343f587275771268d9c71c871da6bb46d8533a46ab9ac0b495c22771d9064288872abfd3180e3bc92dbe5842cff53046e543d6
 WHIRLPOOL 
7ad9588218c3b17433061f9a2218efcddc049d9f005177221c2b4bfbec045ca4b2ac2efb2b2b814ff382848390e0624cfcea61fa79c541030abe55e714abcb45
+DIST thermald-1.6.tar.gz 331682 SHA256 
c63ae1b031f2b4ce037441e7e9910d05405b540fe6668e156d32c56d5dfa7492 SHA512 
ddcd01dcd2f6b5666ffa16ba635734e4c146244b5df7c3f0deb8120f8ee7ebf1f4ee302d49db2b7e9a4950045650922977bd40bf6b38ccea9896f81e06df1d49
 WHIRLPOOL 
0e246c2e011ef40c07d9194d0bf481349a042dca806a0cf5e3e58a9c211cdac2d18641a87ecebfc78c41ea905683a7ac5f94ba4afeeccfb1ff6bb27e76855c09

diff --git a/sys-power/thermald/thermald-1.6.ebuild 
b/sys-power/thermald/thermald-1.6.ebuild
new file mode 100644
index 00000000000..615c338aa4a
--- /dev/null
+++ b/sys-power/thermald/thermald-1.6.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+inherit autotools-utils systemd
+
+DESCRIPTION="Thermal daemon for Intel architectures"
+HOMEPAGE="https://01.org/linux-thermal-daemon";
+SRC_URI="https://github.com/01org/thermal_daemon/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+S=${WORKDIR}/thermal_daemon-${PV}
+
+CDEPEND="dev-libs/dbus-glib
+       dev-libs/libxml2"
+DEPEND="${CDEPEND}
+       sys-apps/sed"
+RDEPEND="${CDEPEND}"
+
+DOCS=( thermal_daemon_usage.txt README.txt )
+
+src_configure() {
+       local myeconfargs=(
+       --with-systemdsystemunitdir=$(systemd_get_unitdir)
+       )
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install
+       rm -rf "${D}"/etc/init || die
+       doinitd "${FILESDIR}"/thermald
+}

Reply via email to